package org.wcs.serve.service.intf;

import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;
import org.wcs.model.dto.serve.baseError.QueryBaseErrorReq;
import org.wcs.model.dto.serve.baseError.UpdateBaseErrorReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.dto.serve.baseError.AddBaseErrorReq;
import org.wcs.model.vo.serve.baseError.QueryBaseErrorVo;
import org.wcs.model.vo.serve.common.PageDataResponse;

public interface IBaseErrorService {

    void downLoadImportExample(HttpServletResponse response);
    AppServeDataResponse<PageDataResponse<QueryBaseErrorVo>> queryBaseErrorList(QueryBaseErrorReq request, Integer pageSize, Integer pageIndex);
    AppServeResponse addBaseError(AddBaseErrorReq request);
    AppServeResponse importBaseError(MultipartFile fileUpload);
    AppServeResponse deleteBaseErrorByEquipmentType(Integer equipmentType); // 根据设备型号删除基础错误
    AppServeResponse deleteBaseErrorById(String id); // 根据id删除基础错误
    AppServeResponse updateBaseError(UpdateBaseErrorReq request); // 修改基础错误
    AppServeDataResponse<QueryBaseErrorVo> getBaseError(Integer equipmentType, String errCode);
}
